Mailinglist Archive: zypp-commit (325 mails)

< Previous Next >
[zypp-commit] r7112 - in /trunk/libzypp-testsuite/solver/data.deptestomatic: basic-exercises/ yast-tests/
  • From: schubi2@xxxxxxxxxxxxxxxx
  • Date: Wed, 05 Sep 2007 15:48:32 -0000
  • Message-id: <20070905154832.7F5662512A@xxxxxxxxxxxxxxxx>
Author: schubi2
Date: Wed Sep  5 17:48:32 2007
New Revision: 7112

URL: http://svn.opensuse.org/viewcvs/zypp?rev=7112&view=rev
Log:
Testcases for bug 304276 and 307734 added or changed

Added:
    trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.solution
    trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.xml
Modified:
    trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/Bug299486-test.solution
    trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution1
    trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution2
    trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution3

Modified: trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/Bug299486-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/Bug299486-test.solution?rev=7112&r1=7111&r2=7112&view=diff
==============================================================================
--- trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/Bug299486-test.solution (original)
+++ trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/Bug299486-test.solution Wed Sep  5 17:48:32 2007
@@ -2,3 +2,6 @@
 >!> Problem:
 >!> Requirememt asdfasdf cannot be fulfilled.
 >!> There are no installable providers of asdfasdf
+>!>    Solution:
+>!>       Ignore this requirement just here
+>!>       

Added: trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.solution?rev=7112&view=auto
==============================================================================
--- trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.solution (added)
+++ trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.solution Wed Sep  5 17:48:32 2007
@@ -0,0 +1,29 @@
+>!> 2 problems found:
+>!> Problem:
+>!> No valid solution found with just resolvables of best architecture.
+>!> With this run only resolvables with the best architecture have been regarded.
+>!>    Solution:
+>!>       Make a solver run with ALL possibilities.
+>!>       Regarding all resolvables with a compatible architecture.
+>!> Problem:
+>!> Requirememt notavailable cannot be fulfilled.
+>!> There are no installable providers of notavailable
+>!>    Solution:
+>!>       Ignore this requirement just here
+>!>       
+>!> Taking solution: 0
+>!> For problem:     1
+>!> No problems so far
+>!> No problems so far
+>!> Solution #1:
+>!> install A-2.0-1.noarch[test]
+>!> install B-1.0-1.noarch[test]
+>!> install D-1.0-1.noarch[test]
+>!> |unflag E-1.0-1.noarch[test]
+>!> installs=3, upgrades=0, uninstalls=0
+>!> Solution #2:
+>!> install A-2.0-1.noarch[test]
+>!> install B-1.0-1.noarch[test]
+>!> install C-1.0-1.noarch[test]
+>!> |unflag E-1.0-1.noarch[test]
+>!> installs=3, upgrades=0, uninstalls=0

Added: trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.xml?rev=7112&view=auto
==============================================================================
--- trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.xml (added)
+++ trunk/libzypp-testsuite/solver/data.deptestomatic/basic-exercises/require-3-test.xml Wed Sep  5 17:48:32 2007
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+<test allow_virtual_conflicts="yes">
+<setup>
+  <system file="exercise-1-system.xml.gz"/>
+  <channel name="test" file="require-packages.xml.gz"/>
+</setup>
+<trial>
+  <addRequire kind="package" name="notavailable"/>
+  <addRequire kind="package" name="A"/>
+  <reportproblems/>
+  <takesolution problem="1" solution="0"/>
+  <reportproblems/>
+</trial>
+</test>

Modified: trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution1
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution1?rev=7112&r1=7111&r2=7112&view=diff
==============================================================================
--- trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution1 (original)
+++ trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution1 Wed Sep  5 17:48:32 2007
@@ -4050,7 +4050,7 @@
 >!>       Ignore this requirement just here
 >!>       
 >!> Problem:
->!> subversion-perl cannot be installed due to missing dependencies
+>!> subversion-perl has missing dependencies
 >!> There are no installable providers of libaprutil-0.so.0 for subversion-perl-1.3.0_rc1-0.1.i586
 >!>    Solution:
 >!>       delete subversion-perl

Modified: trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution2
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution2?rev=7112&r1=7111&r2=7112&view=diff
==============================================================================
--- trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution2 (original)
+++ trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution2 Wed Sep  5 17:48:32 2007
@@ -4050,7 +4050,7 @@
 >!>       Ignore this requirement just here
 >!>       
 >!> Problem:
->!> subversion-perl cannot be installed due to missing dependencies
+>!> subversion-perl has missing dependencies
 >!> There are no installable providers of libapr-0.so.0 for subversion-perl-1.3.0_rc1-0.1.i586
 >!>    Solution:
 >!>       delete subversion-perl

Modified: trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution3
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution3?rev=7112&r1=7111&r2=7112&view=diff
==============================================================================
--- trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution3 (original)
+++ trunk/libzypp-testsuite/solver/data.deptestomatic/yast-tests/Bug156439-test.solution3 Wed Sep  5 17:48:32 2007
@@ -4050,7 +4050,7 @@
 >!>       Ignore this requirement just here
 >!>       
 >!> Problem:
->!> subversion-perl cannot be installed due to missing dependencies
+>!> subversion-perl has missing dependencies
 >!> There are no installable providers of libaprutil-0.so.0 for subversion-perl-1.3.0_rc1-0.1.i586
 >!>    Solution:
 >!>       delete subversion-perl

--
To unsubscribe, e-mail: zypp-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: zypp-commit+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages